﻿@model System.Collections.Generic.List<Topic>
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    
    @if (Model != null && User.Identity.IsAuthenticated)
    {
        <div>
            <hr />
            <table>
                <tr>
                    <th>Название темы</th>
                    <th>Автор</th>
                    <th>Кол-во ответов</th>
                    <th>Дата создания</th>
                </tr>
                @foreach (var item in Model)
            {
                
                <tr><td><a asp-area="" asp-controller="Topic" asp-action="IndexAsync" asp-route-id="@item.Id">@item.TopicName</a></td><td>@item.AuthorName</td><td>@item.MessageCount</td><td>@item.CreationDate</td></tr>
            }
            </table>
        </div>

    }
</div>
